Module jdk.javadoc
Package com.sun.javadoc

## Interface ThrowsTag

- All Superinterfaces:
    `Tag`

      @Deprecated(since="9",
                  forRemoval=true)
      public interface ThrowsTag
      extends Tag

  Deprecated, for removal: This API element is subject to removal in a future version.
  The declarations in this package have been superseded by those in the package `jdk.javadoc.doclet`. For more information, see the Migration Guide in the documentation for that package.
  Represents a @throws or @exception documentation tag. Parses and holds the exception name and exception comment. Note: @exception is a backwards compatible synonymy for @throws.
  See Also:
    `ExecutableMemberDoc.throwsTags()`

- - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `ClassDoc` | `exception()` | Deprecated, for removal: This API element is subject to removal in a future version. Return a `ClassDoc` that represents the exception.
    `String` | `exceptionComment()` | Deprecated, for removal: This API element is subject to removal in a future version. Return the exception comment associated with this `ThrowsTag`.
    `String` | `exceptionName()` | Deprecated, for removal: This API element is subject to removal in a future version. Return the name of the exception associated with this `ThrowsTag`.
    `Type` | `exceptionType()` | Deprecated, for removal: This API element is subject to removal in a future version. Return the type of the exception associated with this `ThrowsTag`.

    - ### Methods declared in interface com.sun.javadoc.Tag

      `firstSentenceTags, holder, inlineTags, kind, name, position, text, toString`

- - ### Method Detail

    - #### exceptionName

          String exceptionName()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return the name of the exception associated with this `ThrowsTag`.
      Returns:
        name of the exception.

    - #### exceptionComment

          String exceptionComment()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return the exception comment associated with this `ThrowsTag`.
      Returns:
        exception comment.

    - #### exception

          ClassDoc exception()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return a `ClassDoc` that represents the exception. If the type of the exception is a type variable, return the `ClassDoc` of its erasure.

      This method cannot accommodate certain generic type constructs. The `exceptionType` method should be used instead.

      Returns:
        `ClassDoc` that represents the exception.
      See Also:
        `exceptionType()`

    - #### exceptionType

          Type exceptionType()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return the type of the exception associated with this `ThrowsTag`. This may be a `ClassDoc` or a `TypeVariable`.
      Returns:
        the type of the exception.
      Since:
        1.5